%define name emacs-tramp
%define version 2.1.14
%define release %mkrel 1

Summary: Transparent Remote (file) Access, Multiple Protocol
Name: %{name}
Version: %{version}
Release: %{release}
Source: http://savannah.nongnu.org/download/tramp/tramp-2.1.14.tar.gz
URL: http://www.nongnu.org/tramp/
License: GPL
Group: Editors
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildRequires: emacs-bin make texinfo xemacs
BuildRequires: emacs-el, xemacs-packages
BuildArch: noarch
Requires: 		glibc >= 2.10.1
Requires: 		libstdc++6 >= 4.4.1

%package -n xemacs-tramp
Summary: Transparent Remote (file) Access, Multiple Protocol
License: GPL
Group: Networking/News

%description
TRAMP stands for `Transparent Remote (file) Access, Multiple Protocol'. This
package provides remote file editing, similar to ange-ftp and EFS.

The difference is that ange-ftp uses FTP to transfer files between the local 
and the remote host, whereas TRAMP uses a combination of rsh and rcp or other
work-alike programs, such as ssh/scp.

%description -n xemacs-tramp
TRAMP stands for `Transparent Remote (file) Access, Multiple Protocol'. This
package provides remote file editing, similar to ange-ftp and EFS.

The difference is that ange-ftp uses FTP to transfer files between the local
and the remote host, whereas TRAMP uses a combination of rsh and rcp or other
work-alike programs, such as ssh/scp.

%prep
%setup -n tramp-%{version} -q

rm -rf ../tramp
mkdir ../tramp
mv * ../tramp
mv ../tramp build-emacs
cp -a build-emacs build-xemacs

%build

for i in emacs xemacs; do
  cd build-$i
  %configure --with-$i --with-contrib
  %make
  cd ..
done

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_infodir}

for i in emacs xemacs; do
  cd build-$i
  %makeinstall
  cd ..
done

# not putting info page which must be different for emacs and xemacs
rm -rf $RPM_BUILD_ROOT%{_infodir}

install -d $RPM_BUILD_ROOT%{_sysconfdir}/emacs/site-start.d
for i in emacs xemacs; do
    echo "(require 'tramp)" >$RPM_BUILD_ROOT%{_sysconfdir}/emacs/site-start.d/$i-tramp.el
done

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc build-emacs/texi/tramp-emacs.html
%{_datadir}/emacs/site-lisp/*
%config(noreplace) %{_sysconfdir}/emacs/site-start.d/emacs-*

%files -n xemacs-tramp
%defattr(-,root,root)
%doc build-xemacs/texi/tramp-xemacs.html
%{_datadir}/xemacs/site-lisp/*
%config(noreplace) %{_sysconfdir}/emacs/site-start.d/xemacs-*

%changelog
* Tue Oct 26 2009 Texstar <texstar at gmail.com> 2.1.14-1pclos2010
- 2.1.14

